Bug Hunting Session
Bug 34388 - CONFIGURATION option to set border width in default (new) table
Summary: CONFIGURATION option to set border width in default (new) table
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables-Enhancements
  Show dependency treegraph
 
Reported: 2011-02-17 05:29 UTC by sasha.libreoffice
Modified: 2019-01-21 10:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-17 05:29:43 UTC
When I create new table, it appears with borders 0.05 with. Sometimes I forget change it to 0.5 and see no borders when print document on printer.

I suppose add option to change border parameters to new created table.
Comment 1 sasha.libreoffice 2011-05-16 08:41:20 UTC
Or better, ability to predefine all options for newly created tables. Part of them are available to predefine in Opitons->Settings->LibreOffice Writer->Table.
But not all. (ability set text properties in tables already exist using styles)
Comment 2 Stephan Zietsman 2011-05-20 02:56:28 UTC
(In reply to comment #0)
> I suppose add option to change border parameters to new created table.

I've thought of a workaround.  Create a table and add the border information as you want it (i.e. change the border style to 0.5).  Then save it as a table autoformat (Table -> AutoFormat... -> Add).  Give this format a name (unfortunately it cannot be named "Default" as far as I know).

Then, whenever you want a table, just go: Insert -> Table... (CTRL + F12).
At the bottom of the dialogue box, click on "AutoFormat" and select the format you created.

This does not solve the problem, but if you have the habit of creating a table from the "Insert Table (CTRL + F12)" dialogue, then applying the AutoFormat from that dialogue is a little faster than having to insert the table and then change the border setting(s).

But I must mention that changing the actual default table settings (such as border thickness etc.) would be a very good feature.  A possible way to do that could be to assign new tables to a default AutoFormat.  I.e. whenever you insert a new table, it automatically selects an AutoFormat (which could be set in "LibreOffice Writer -> Table" settings).

Could this be a candidate for EasyHacks?
Comment 3 sasha.libreoffice 2011-05-20 03:38:46 UTC
Thanks for idea. I will try to use it. It is important to me also disable option "Allow row to break across pages and columns" on tab "Text flow". It is not saved among Autoformat.
Comment 4 sasha.libreoffice 2011-05-20 03:46:39 UTC
In LibreWriter 3.4 border dialog is changed, instead of 0.05 thickness by default is 0.25. For me it is acceptable. But another user can increase productivity if ability to setup predefined options will implemented.
And thanks to developers for improvement of table border dialog.
Comment 5 Björn Michaelsen 2011-12-23 11:47:04 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2017-05-26 17:45:12 UTC
This should be possible when bug 107555 is fixed.
Comment 7 Cor Nouws 2018-01-20 15:27:34 UTC
(In reply to Thomas Lendo from comment #6)
> This should be possible when bug 107555 is fixed.

Which is the case at the moment, therefore WorksForMe